:root {
    --fontFamily: "Mulish", sans-serif;
    --blackColor: #000000;
    --whiteColor: #ffffff;
    --yellowColor: #E6580A;
    --pinkColor: #DB0A62;
}

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    font-family: var(--fontFamily);
}
html {
  scroll-behavior: smooth;
}

body {
    background-color: var(--whiteColor);
    min-height: 100vh;
    transition: background 0.2s linear;
    -webkit-transition: background 0.2s linear;
    -moz-transition: background 0.2s linear;
    -ms-transition: background 0.2s linear;
    -o-transition: background 0.2s linear;
}

body.darkMode {
    background: #2A1636;
    color-scheme: dark;
    transition: background 0.2s linear;
    -webkit-transition: background 0.2s linear;
    -moz-transition: background 0.2s linear;
    -ms-transition: background 0.2s linear;
    -o-transition: background 0.2s linear;
}

body a {
    text-decoration: none;
    display: inline-block;
}

body a:hover {
    text-decoration: none;
}

body img {
    max-width: 100%;
}

.btnTheme {
    padding: 15px 20px;
    border-radius: 5px;
    font-size: 20px;
    line-height: 32px;
    color: var(--whiteColor);
    font-weight: 400;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    text-transform: capitalize;
}

.btnThemeBg {
    padding: 15px 20px;
    background: -o-linear-gradient(left, var(--pinkColor) 0%, var(--yellowColor) 100%);
    background: -webkit-gradient(linear, left top, right top, from(var(--pinkColor)), to(var(--yellowColor)));
    background: linear-gradient(to right, var(--pinkColor) 0%, var(--yellowColor) 100%);
    transition: background-image 0.5s ease;
    -webkit-transition: background-image 0.5s ease;
    -moz-transition: background-image 0.5s ease;
    -ms-transition: background-image 0.5s ease;
    -o-transition: background-image 0.5s ease;
}

.btnThemeBg:hover {
    transition: background-image 0.5s ease;
    -webkit-transition: background-image 0.5s ease;
    -moz-transition: background-image 0.5s ease;
    -ms-transition: background-image 0.5s ease;
    -o-transition: background-image 0.5s ease;
    background: -o-linear-gradient(right, var(--pinkColor) 0%, var(--yellowColor) 100%);
    background: -webkit-gradient(linear, right top, left top, from(var(--pinkColor)), to(var(--yellowColor)));
    background: linear-gradient(to left, var(--pinkColor) 0%, var(--yellowColor) 100%);
}

.btnThemeBorder {
    background: var(--yellowColor);
    background: linear-gradient(to right, var(--pinkColor) 0%, var(--yellowColor) 100%);
    padding: 1px;
    border-radius: 5px;
    display: flex;
    transition: background 0.3s ease-in-out; /* Smooth transition for background */
}

.btnThemeBorder .borderBg {
    background-color: var(--whiteColor);
    border-radius: 5px;
    width: 100%;
    text-align: center;
    line-height: 30px;
    font-weight: 600;
    transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out; /* Smooth color transition */
}

.btnThemeBorder .borderText {
    color: var(--darkColor); /* High contrast text */
    transition: all 0.3s ease-in-out;
}

.btnThemeBorder:hover {
    background: var(--darkColor); /* Background change on hover for contrast */
}

.btnThemeBorder:hover .borderBg {
    background-color: transparent; /* Makes background transparent */
}
.btnThemeBorder:hover .borderText {
    color: var(--whiteColor);
    background: unset;
    -webkit-text-fill-color: unset;
transition: all 0.3s ease-in-out;
}

.darkMode .btnThemeBorder .borderBg {
    background-color: #2A1636;
}

.darkMode .siteNavigation ul li a {
    color: #fff;
}

.btnThemeBorder .borderText {
/*     background: var(--yellowColor);
    background: -o-linear-gradient(left, var(--pinkColor) 0%, var(--yellowColor) 100%);
    background: -webkit-gradient(linear, left top, right top, from(var(--pinkColor)), to(var(--yellowColor)));
    background: linear-gradient(to right, var(--pinkColor) 0%, var(--yellowColor) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent; */
	color:#F90280;

}

.btnThemeBorder:hover {
    background: -o-linear-gradient(right, var(--pinkColor) 0%, var(--yellowColor) 100%);
    background: -webkit-gradient(linear, right top, left top, from(var(--pinkColor)), to(var(--yellowColor)));
    background: linear-gradient(to left, var(--pinkColor) 0%, var(--yellowColor) 100%);
}

body h1 {
    font-size: 48px;
    line-height: 60px;
    font-weight: 300;
    color: var(--blackColor);
}

body h2 {
    font-size: 40px;
    line-height: 50px;
    font-weight: 300;
    color: var(--blackColor);
}

body h2 strong {
    font-weight: 500;
}

.siteContainer {
    max-width: 1170px;
    margin: 0 auto;
}
/* 
body h1,
body h2,
body h3,
body h4,
body h5,
body h6,
body p,
body a,
body ul,
body li,
body span {
    color: var(--blackColor);
} */

/*----------------------------------------------- ----------------- Header Css Start --------------- -----------------------------------------------*/

header.site-header {
    padding: 26px 0;
    position: fixed;
    top: 0;
    width: 100%;
    left: 0;
    z-index: 999;
}

body.headerSticky header.site-header {
    background-color: #fff;
    -webkit-box-shadow: 0px 5px 14px 0px rgba(0, 0, 0, 0.05);
    box-shadow: 0px 5px 14px 0px rgba(0, 0, 0, 0.05);
}

.headerRow {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.siteLogo {
    width: 119px;
}

.siteLogo .custom-logo-link {
    display: flex;
}

.siteLogo .custom-logo-link img {
    width: 100%;
    height: auto;
}

.siteNavigation {
    width: calc(100% - 119px);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.siteNavigation ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    list-style: none;
    -webkit-column-gap: 45px;
    -moz-column-gap: 45px;
    column-gap: 45px;
}

.siteNavigation ul li {
    position: relative;
}

.siteNavigation ul.subMenu {
    position: absolute;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 20px;
    background-color: #F5FAFF;
    border-radius: 8px;
    min-width: 230px;
    top: 30px;
    left: 0;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    opacity: 0;
    visibility: hidden;
    row-gap: 16px;
}

.siteNavigation ul.subMenu li {
    text-align: left;
    width: 100%;
}

.siteNavigation ul li:hover>ul.subMenu {
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    opacity: 1;
    visibility: visible;
}

.siteNavigation ul li a {
    text-decoration: none;
    font-size: 16px;
    line-height: 20px;
    color: var(--blackColor);
    text-transform: capitalize;
    position: relative;
    font-weight: 500;
}

.siteNavigation ul li a::after {
    position: absolute;
    content: '';
    width: 0;
    left: 0;
    background: -o-linear-gradient(left, var(--yellowColor) 0%, var(--pinkColor) 100%);
    background: -webkit-gradient(linear, left top, right top, from(var(--yellowColor)), to(var(--pinkColor)));
    background: linear-gradient(to right, var(--yellowColor) 0%, var(--pinkColor) 100%);
    height: 2px;
    bottom: -4px;
    transition: width ease 0.5s;
    -webkit-transition: width ease 0.5s;
    -moz-transition: width ease 0.5s;
    -ms-transition: width ease 0.5s;
    -o-transition: width ease 0.5s;
}

.siteNavigation ul li a:hover:after {
    width: 100%;
    transition: width ease 0.5s;
    -webkit-transition: width ease 0.5s;
    -moz-transition: width ease 0.5s;
    -ms-transition: width ease 0.5s;
    -o-transition: width ease 0.5s;
}

.darkMode .siteNavigation ul li a svg path {
    stroke: #fff;
}

.headerBtn {
    margin-left: 50px;
}

.headerBtn span.btnTheme {
    line-height: 24px;
    font-weight: 700;
    font-size: 19px;
}

/*----------------------------------------------- ----------------- Mobile Menu Css Start --------------- -----------------------------------------------*/
.mobileMenuToggle {
    display: none;
}

a.hamburger {
    width: 40px;
}

span.burgerLine {
    width: 100%;
    height: 2px;
    display: block;
    margin-bottom: 8px;
    background: -o-linear-gradient(left, var(--yellowColor) 0%, var(--pinkColor) 100%);
    background: -webkit-gradient(linear, left top, right top, from(var(--yellowColor)), to(var(--pinkColor)));
    background: linear-gradient(to right, var(--yellowColor) 0%, var(--pinkColor) 100%);
}

span.burgerLine:last-child {
    margin: 0;
}

.mobileMenuHeader {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    border-bottom: solid 1px #c5c6c62e;
    padding-bottom: 10px;
    margin-bottom: 20px;
}

.siteMobileMenu .mobileMenuToggle {
    width: 35px;
}

.siteMobileMenu .mobileMenuToggle span {
    display: block;
    width: 100%;
    height: 2px;
    background-color: var(--whiteColor);
    margin-bottom: 4px;
}

.siteMobileMenu .mobileMenuToggle span:last-child {
    margin: 0;
}

.siteMobileMenu {
    display: none;
}

.mobileMenuActive {
    overflow: hidden;
}

.sideBar-container .sideBarOverlay {
    z-index: -1;
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    pointer-events: none;
    opacity: 0;
    background-color: transparent;
    visibility: hidden;
}

.mobileMenuActive .sideBar-container .sideBarOverlay {
    opacity: 1;
    z-index: 9;
    cursor: pointer;
    pointer-events: visible;
    visibility: visible;
}

.sideBar-container .mobileSideBarMenu {
    position: fixed;
    max-width: 450px;
    width: 90%;
    height: 100%;
    right: 0;
    z-index: -1;
    top: 0;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-box-shadow: 0 0 20px #00000030;
    box-shadow: 0 0 20px #00000030;
    overflow-y: scroll;
    transform: translateX(100%);
    -webkit-transform: translateX(100%);
    -moz-transform: translateX(100%);
    -ms-transform: translateX(-00%);
    -o-transform: translateX(100%);
    background-color: var(--whiteColor);
    visibility: hidden;
    padding: 40px 30px;
}

.mobileMenuActive .sideBar-container .mobileSideBarMenu {
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    opacity: 1;
    pointer-events: visible;
    transform: translateX(0%);
    z-index: 9999;
    visibility: visible;
    -webkit-transform: translateX(0%);
    -moz-transform: translateX(0%);
    -ms-transform: translateX(0%);
    -o-transform: translateX(0%);
}

.siteNavigation .siteBarMenu ul {
    display: block;
    max-width: 80%;
    margin-left: auto;
}

.siteNavigation .siteBarMenu ul ul {
    max-width: 100%;
    margin: 0 10px;
    /* border-right: solid 1px #dddd; */
}

.mobileSideBarMenu ul li:last-child {
    border-bottom: 0;
    padding-bottom: 0;
}

.mobileSideBarMenu ul li {
    display: block;
    text-align: right;
    margin: 0;
    padding: 15px 0;
    border-bottom: solid 1px #ddd;
    position: relative;
}

.mobileSideBarMenu ul li.menu-item-has-children::before {
    position: absolute;
    content: '';
    width: 24px;
    height: 24px;
    left: 0;
    top: 10px;
    background-image: url(/wp-content/uploads/2023/06/mingcute_down-line.svg);
    opacity: 0.7;
}

.mobileSideBarMenu ul li.menu-item-has-children.subMenuActive::before {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

a.sideBarMenuToggle {
    position: absolute;
    left: 20px;
    top: 30px;
    z-index: 9;
}

.mobileSideBarMenu ul li a {
    position: relative;
    text-transform: capitalize;
    color: #000;
    font-size: 16px;
    list-style: 24px;
}

a.sideBarMenuToggle {
    font-size: 30px;
    line-height: 0;
    font-weight: 400;
    color: var(--darkModeGray);
}

.mobileSideBarMenu ul li.newTagMenu::after {
    height: 16px;
}

/*----------------------------------------------- ----------------- Footer Css Start--------------- -----------------------------------------------*/
footer.site-footer {
    padding: 70px 0 44px;
    background-color: var(--whiteColor);
}

.footerRow {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.footerLogo {
    width: 172px;
}

.footerLogo .custom-logo-link {
    display: flex;
}

.footerLogo .custom-logo-link img{
    width: 100%;
    height: auto;
}

.footerMenuCol {
    width: calc(100% - 172px);
    padding-left: 30px;
}

.footerMenuRow {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.footerMenuRow ul li a {
    font-size: 16px;
    line-height: 20px;
    color: #000;
    font-weight: 500;
    text-transform: capitalize;
}

.footerMenuRow ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    list-style: none;
    -webkit-column-gap: 48px;
    -moz-column-gap: 48px;
    column-gap: 48px;
    margin: 0;
}

.footerMenuRow .footerSocial ul {
    -webkit-column-gap: 10px;
    -moz-column-gap: 10px;
    column-gap: 10px;
}

.footerMenuRow .footerSocial ul a:hover {
    -webkit-transition: 0.5s all ease;
    -o-transition: 0.5s all ease;
    transition: 0.5s all ease;
    top: -5px;
}

body .owl-carousel .owl-item img {
    width: auto;
    display: initial;
}

.footerMenuRow .footerSocial ul a {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    position: relative;
    top: 0;
    -webkit-transition: 0.5s all ease;
    -o-transition: 0.5s all ease;
    transition: 0.5s all ease;
    transition-behavior: normal;
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
    -webkit-transition-timing-function: ease;
    -o-transition-timing-function: ease;
    transition-timing-function: ease;
    -webkit-transition-delay: 0s;
    -o-transition-delay: 0s;
    transition-delay: 0s;
    -webkit-transition-property: all;
    -o-transition-property: all;
    transition-property: all;
}

.footCopyRight {
    text-align: right;
    margin-top: 20px;
    border-top: solid 1px rgba(0, 0, 0, 0.1);
    padding-top: 15px;
}

.footCopyRight p {
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
    margin: 0;
}